"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const supi_1 = require("supi");
const createStoreController_1 = require("../createStoreController");
const readImporterManifest_1 = require("../readImporterManifest");
exports.default = async (input, opts) => {
    const store = await createStoreController_1.default(opts);
    return supi_1.mutateModules([
        {
            buildIndex: 0,
            manifest: await readImporterManifest_1.readImporterManifestOnly(process.cwd(), opts),
            mutation: 'install',
            prefix: process.cwd(),
            pruneDirectDependencies: true,
        },
    ], Object.assign({}, opts, { pruneStore: true, store: store.path, storeController: store.ctrl }));
};
